Skip to main content
Update a team configuration
curl --request PATCH \
  --url https://api.coralogix.com/mgmt/openapi/3/cases/cases/team-configs/v1/configs/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "SRE Team Config",
  "settings": {
    "manualResolutionSnoozePeriod": "600s",
    "suppressionPeriod": "3600s"
  }
}
'
{
  "teamConfig": {
    "createTime": "2025-09-22T10:30:00.000Z",
    "id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
    "name": "Default Team Config",
    "settings": {
      "manualResolutionSnoozePeriod": "600s",
      "suppressionPeriod": "3600s"
    },
    "updateTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

ID of the team configuration to update

Example:

"8c0c02a3-3c1c-4d56-9a2d-9f6ab6a4b321"

Body

application/json
name
string

New display name for the team configuration

Example:

"SRE Team Config"

settings
Team configuration settings · object

Team-level configuration options for case management, including suppression and snooze periods.

Response

teamConfig
Team configuration · object
required

Team-level configuration entity for case management.